diff --git a/drupal7/sites/all/modules/ldap/ldap_test/ldap_servers.conf.inc b/drupal7/sites/all/modules/ldap/ldap_test/ldap_servers.conf.inc
index ce37ef7f..b235e43c 100644
--- a/drupal7/sites/all/modules/ldap/ldap_test/ldap_servers.conf.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_test/ldap_servers.conf.inc
@@ -2,13 +2,13 @@
 
 /**
  * @file
- *
  */
 
-/*** activedirectory is default Active Directory server config **/
+/***
+ * Activedirectory is default Active Directory server config .**/
 function ldap_test_ldap_servers_data() {
 
-$servers['ldapauthor1']['properties']  = array(
+  $servers['ldapauthor1']['properties'] = [
     'sid' => 'openldap1',
     'name'  => 'Test LDAP Server LDAP Authorization' ,
     'inDatabase' => TRUE,
@@ -18,9 +18,9 @@ $servers['ldapauthor1']['properties']  = array(
     'port'  => 389,
     'tls'  => FALSE,
     'bind_method' => LDAP_SERVERS_BIND_METHOD_SERVICE_ACCT,
-    'basedn'  => array(
-       'dc=hogwarts,dc=edu',
-      ),
+    'basedn'  => [
+      'dc=hogwarts,dc=edu',
+    ],
     'binddn'  => 'cn=service-account,ou=people,dc=hogwarts,dc=edu',
     'bindpw' => 'goodpwd',
     'user_dn_expression' => NULL,
@@ -37,11 +37,9 @@ $servers['ldapauthor1']['properties']  = array(
     'groupMembershipsAttrMatchingUserAttr' => 'dn',
     'search_pagination' => 0,
     'searchPageSize' => NULL,
-  );
+  ];
 
-
-
-$conf['openldap1']['properties']  = array(
+  $conf['openldap1']['properties'] = [
     'sid' => 'openldap1',
     'name'  => 'Test Open LDAP' ,
     'inDatabase' => TRUE,
@@ -51,9 +49,9 @@ $conf['openldap1']['properties']  = array(
     'port'  => 389,
     'tls'  => FALSE,
     'bind_method' => LDAP_SERVERS_BIND_METHOD_SERVICE_ACCT,
-    'basedn'  => array(
-       'dc=hogwarts,dc=edu',
-    ),
+    'basedn'  => [
+      'dc=hogwarts,dc=edu',
+    ],
     'binddn'  => 'cn=service-account,ou=people,dc=hogwarts,dc=edu',
     'bindpw' => 'goodpwd',
     'user_dn_expression' => NULL,
@@ -71,79 +69,75 @@ $conf['openldap1']['properties']  = array(
     'groupMembershipsAttrMatchingUserAttr' => 'dn',
     'search_pagination' => 0,
     'searchPageSize' => NULL,
-  );
-
-$conf['openldap1']['methodResponses']['connect'] = LDAP_SUCCESS;
-
-
-$conf['openldap1']['search_results'] = array();
+  ];
 
+  $conf['openldap1']['methodResponses']['connect'] = LDAP_SUCCESS;
 
-$conf['openldap1']['search_results']['(&(objectClass=group)(|(member=cn=gryffindor,ou=groups,dc=hogwarts,dc=edu)(member=cn=students,ou=groups,dc=hogwarts,dc=edu)(member=cn=honors students,ou=groups,dc=hogwarts,dc=edu)))']['dc=hogwarts,dc=edu'] = array(
-  0 => array('count' => 1, 'dn' => 'cn=users,ou=groups,dc=hogwarts,dc=edu'),
-  'count' => 1,
-);
+  $conf['openldap1']['search_results'] = [];
 
-$conf['openldap1']['search_results']['(cn=hpotter)']['dc=hogwarts,dc=edu'] = array(
-  0 => array(
+  $conf['openldap1']['search_results']['(&(objectClass=group)(|(member=cn=gryffindor,ou=groups,dc=hogwarts,dc=edu)(member=cn=students,ou=groups,dc=hogwarts,dc=edu)(member=cn=honors students,ou=groups,dc=hogwarts,dc=edu)))']['dc=hogwarts,dc=edu'] = [
+    0 => ['count' => 1, 'dn' => 'cn=users,ou=groups,dc=hogwarts,dc=edu'],
     'count' => 1,
-    'dn' => 'cn=hpotter,ou=people,dc=hogwarts,dc=edu',
-    'FULLENTRY' => TRUE,
-  ),
-  'count' => 1,
-);
-
-$conf['openldap1']['search_results']['(cn=hpotter)']['dc=hogwarts,dc=edu'] = array(
-  0 => array(
-    'count' => 1,
-    'dn' => 'cn=hpotter,ou=people,dc=hogwarts,dc=edu',
-    'FULLENTRY' => TRUE,
-  ),
-  'count' => 1,
-);
-
-$conf['openldap1']['search_results']['(cn=hpotter-granger)']['dc=hogwarts,dc=edu'] = array(
-  0 => array(
+  ];
+
+  $conf['openldap1']['search_results']['(cn=hpotter)']['dc=hogwarts,dc=edu'] = [
+    0 => [
+      'count' => 1,
+      'dn' => 'cn=hpotter,ou=people,dc=hogwarts,dc=edu',
+      'FULLENTRY' => TRUE,
+    ],
     'count' => 1,
-    'dn' => 'cn=hpotter,ou=people,dc=hogwarts,dc=edu',
-    'FULLENTRY' => TRUE,
-  ),
-  'count' => 1,
-);
-
-$conf['openldap1']['search_results']['(cn=ssnape)']['dc=hogwarts,dc=edu'] = array(
-  0 => array(
+  ];
+
+  $conf['openldap1']['search_results']['(cn=hpotter)']['dc=hogwarts,dc=edu'] = [
+    0 => [
+      'count' => 1,
+      'dn' => 'cn=hpotter,ou=people,dc=hogwarts,dc=edu',
+      'FULLENTRY' => TRUE,
+    ],
     'count' => 1,
-    'dn' => 'cn=ssnape,ou=people,dc=hogwarts,dc=edu',
-    'FULLENTRY' => TRUE,
-  ),
-  'count' => 1,
-);
-
-$conf['openldap1']['search_results']['(cn=adumbledore)']['dc=hogwarts,dc=edu'] = array(
-  0 => array(
+  ];
+
+  $conf['openldap1']['search_results']['(cn=hpotter-granger)']['dc=hogwarts,dc=edu'] = [
+    0 => [
+      'count' => 1,
+      'dn' => 'cn=hpotter,ou=people,dc=hogwarts,dc=edu',
+      'FULLENTRY' => TRUE,
+    ],
     'count' => 1,
-    'dn' => 'cn=adumbledore,ou=people,dc=hogwarts,dc=edu',
-    'FULLENTRY' => TRUE,
-  ),
-  'count' => 1,
-);
+  ];
 
-$conf['openldap1']['search_results']['(&(objectClass=groupofnames)(member=cn=hpotter,ou=people,dc=hogwarts,dc=edu))']['dc=hogwarts,dc=edu'] = array(
-  0 => array('count' => 1, 'dn' => 'cn=gryffindor,ou=groups,dc=hogwarts,dc=edu'),
-  1 => array('count' => 1, 'dn' => 'cn=students,ou=groups,dc=hogwarts,dc=edu'),
-  2 => array('count' => 1, 'dn' => 'cn=honors students,ou=groups,dc=hogwarts,dc=edu'),
-  'count' => 3,
-);
+  $conf['openldap1']['search_results']['(cn=ssnape)']['dc=hogwarts,dc=edu'] = [
+    0 => [
+      'count' => 1,
+      'dn' => 'cn=ssnape,ou=people,dc=hogwarts,dc=edu',
+      'FULLENTRY' => TRUE,
+    ],
+    'count' => 1,
+  ];
 
-$conf['openldap1']['search_results']['(&(objectClass=groupofnames)(|(member=cn=gryffindor,ou=groups,dc=hogwarts,dc=edu)(member=cn=students,ou=groups,dc=hogwarts,dc=edu)(member=cn=honors students,ou=groups,dc=hogwarts,dc=edu)))']['dc=hogwarts,dc=edu'] = array(
-  0 => array('count' => 1, 'dn' => 'cn=users,ou=groups,dc=hogwarts,dc=edu'),
-  'count' => 1,
-);
+  $conf['openldap1']['search_results']['(cn=adumbledore)']['dc=hogwarts,dc=edu'] = [
+    0 => [
+      'count' => 1,
+      'dn' => 'cn=adumbledore,ou=people,dc=hogwarts,dc=edu',
+      'FULLENTRY' => TRUE,
+    ],
+    'count' => 1,
+  ];
 
+  $conf['openldap1']['search_results']['(&(objectClass=groupofnames)(member=cn=hpotter,ou=people,dc=hogwarts,dc=edu))']['dc=hogwarts,dc=edu'] = [
+    0 => ['count' => 1, 'dn' => 'cn=gryffindor,ou=groups,dc=hogwarts,dc=edu'],
+    1 => ['count' => 1, 'dn' => 'cn=students,ou=groups,dc=hogwarts,dc=edu'],
+    2 => ['count' => 1, 'dn' => 'cn=honors students,ou=groups,dc=hogwarts,dc=edu'],
+    'count' => 3,
+  ];
 
+  $conf['openldap1']['search_results']['(&(objectClass=groupofnames)(|(member=cn=gryffindor,ou=groups,dc=hogwarts,dc=edu)(member=cn=students,ou=groups,dc=hogwarts,dc=edu)(member=cn=honors students,ou=groups,dc=hogwarts,dc=edu)))']['dc=hogwarts,dc=edu'] = [
+    0 => ['count' => 1, 'dn' => 'cn=users,ou=groups,dc=hogwarts,dc=edu'],
+    'count' => 1,
+  ];
 
-$conf['activedirectory1']['properties']  = array(
+  $conf['activedirectory1']['properties'] = [
     'sid' => 'activedirectory1',
     'name'  => 'Test Active Directory LDAP' ,
     'inDatabase' => TRUE,
@@ -153,9 +147,9 @@ $conf['activedirectory1']['properties']  = array(
     'port'  => 389,
     'tls'  => FALSE,
     'bind_method' => LDAP_SERVERS_BIND_METHOD_SERVICE_ACCT,
-    'basedn'  => array(
-       'dc=hogwarts,dc=edu',
-    ),
+    'basedn'  => [
+      'dc=hogwarts,dc=edu',
+    ],
     'binddn'  => 'cn=service-account,ou=people,dc=hogwarts,dc=edu',
     'bindpw' => 'goodpwd',
     'user_dn_expression' => NULL,
@@ -174,58 +168,55 @@ $conf['activedirectory1']['properties']  = array(
     'groupMembershipsAttrMatchingUserAttr' => 'dn',
     'search_pagination' => 0,
     'searchPageSize' => NULL,
-  );
+  ];
 
-$conf['activedirectory1']['methodResponses']['connect'] = LDAP_SUCCESS;
-$conf['activedirectory1']['clones'] = LDAP_TEST_USER_ORPHAN_CLONE_COUNT;
+  $conf['activedirectory1']['methodResponses']['connect'] = LDAP_SUCCESS;
+  $conf['activedirectory1']['clones'] = LDAP_TEST_USER_ORPHAN_CLONE_COUNT;
 
-$conf['activedirectory1']['search_results'] = array();
+  $conf['activedirectory1']['search_results'] = [];
 
-$conf['activedirectory1']['search_results']['(&(objectClass=group)(member=cn=hpotter,ou=people,dc=hogwarts,dc=edu))']['dc=hogwarts,dc=edu'] = array(
-  0 => array('count' => 1, 'dn' => 'cn=gryffindor,ou=groups,dc=hogwarts,dc=edu'),
-  1 => array('count' => 1, 'dn' => 'cn=students,ou=groups,dc=hogwarts,dc=edu'),
-  2 => array('count' => 1, 'dn' => 'cn=honors students,ou=groups,dc=hogwarts,dc=edu'),
-  'count' => 3,
-);
+  $conf['activedirectory1']['search_results']['(&(objectClass=group)(member=cn=hpotter,ou=people,dc=hogwarts,dc=edu))']['dc=hogwarts,dc=edu'] = [
+    0 => ['count' => 1, 'dn' => 'cn=gryffindor,ou=groups,dc=hogwarts,dc=edu'],
+    1 => ['count' => 1, 'dn' => 'cn=students,ou=groups,dc=hogwarts,dc=edu'],
+    2 => ['count' => 1, 'dn' => 'cn=honors students,ou=groups,dc=hogwarts,dc=edu'],
+    'count' => 3,
+  ];
 
-$conf['activedirectory1']['search_results']['(&(objectClass=group)(|(member=cn=gryffindor,ou=groups,dc=hogwarts,dc=edu)(member=cn=students,ou=groups,dc=hogwarts,dc=edu)(member=cn=honors students,ou=groups,dc=hogwarts,dc=edu)))']['dc=hogwarts,dc=edu'] = array(
-  0 => array('count' => 1, 'dn' => 'cn=users,ou=groups,dc=hogwarts,dc=edu'),
-  'count' => 1,
-);
+  $conf['activedirectory1']['search_results']['(&(objectClass=group)(|(member=cn=gryffindor,ou=groups,dc=hogwarts,dc=edu)(member=cn=students,ou=groups,dc=hogwarts,dc=edu)(member=cn=honors students,ou=groups,dc=hogwarts,dc=edu)))']['dc=hogwarts,dc=edu'] = [
+    0 => ['count' => 1, 'dn' => 'cn=users,ou=groups,dc=hogwarts,dc=edu'],
+    'count' => 1,
+  ];
 
-foreach (array('hpotter', 'hgrainger', 'ssnape', 'adumbledore') as $cn) {
+  foreach (['hpotter', 'hgrainger', 'ssnape', 'adumbledore'] as $cn) {
 
-  $conf['activedirectory1']['search_results']["(cn=$cn)"]['dc=hogwarts,dc=edu'] = array(
-    0 => array(
+    $conf['activedirectory1']['search_results']["(cn=$cn)"]['dc=hogwarts,dc=edu'] = [
+      0 => [
+        'count' => 1,
+        'dn' => "cn=$cn,ou=people,dc=hogwarts,dc=edu",
+        'FULLENTRY' => TRUE,
+      ],
       'count' => 1,
-      'dn' => "cn=$cn,ou=people,dc=hogwarts,dc=edu",
-      'FULLENTRY' => TRUE,
-    ),
-    'count' => 1,
-  );
-
-  $conf['activedirectory1']['search_results']["(samaccountname=$cn)"]['dc=hogwarts,dc=edu'] = array(
-    0 => array(
+    ];
+
+    $conf['activedirectory1']['search_results']["(samaccountname=$cn)"]['dc=hogwarts,dc=edu'] = [
+      0 => [
+        'count' => 1,
+        'dn' => "cn=$cn,ou=people,dc=hogwarts,dc=edu",
+        'FULLENTRY' => TRUE,
+      ],
       'count' => 1,
-      'dn' => "cn=$cn,ou=people,dc=hogwarts,dc=edu",
-      'FULLENTRY' => TRUE,
-    ),
-    'count' => 1,
-  );
-
-}
+    ];
 
+  }
 
-$conf['activedirectory1']['search_results']['(samaccountname=hpotter-granger)']['dc=hogwarts,dc=edu'] = array(
-  0 => array(
+  $conf['activedirectory1']['search_results']['(samaccountname=hpotter-granger)']['dc=hogwarts,dc=edu'] = [
+    0 => [
+      'count' => 1,
+      'dn' => 'cn=hpotter,ou=people,dc=hogwarts,dc=edu',
+      'FULLENTRY' => TRUE,
+    ],
     'count' => 1,
-    'dn' => 'cn=hpotter,ou=people,dc=hogwarts,dc=edu',
-    'FULLENTRY' => TRUE,
-  ),
-  'count' => 1,
-);
-
-
+  ];
 
-return $conf;
+  return $conf;
 }
diff --git a/drupal7/sites/all/modules/ldap/ldap_test/ldap_test.info b/drupal7/sites/all/modules/ldap/ldap_test/ldap_test.info
index 31a747e3..d7adb75c 100644
--- a/drupal7/sites/all/modules/ldap/ldap_test/ldap_test.info
+++ b/drupal7/sites/all/modules/ldap/ldap_test/ldap_test.info
@@ -6,6 +6,7 @@ dependencies[] = ldap_servers
 dependencies[] = entity
 
 core = 7.x
+php = 5.4
 
 files[] = ldap_servers.conf.inc
 files[] = ldap_user.conf.inc
@@ -18,8 +19,8 @@ files[] = LdapServerTest.class.php
 files[] = LdapTestFunctions.class.php
 files[] = LdapUserTestCase.class.php
 
-; Information added by Drupal.org packaging script on 2018-08-13
-version = "7.x-2.4"
+; Information added by Drupal.org packaging script on 2019-04-20
+version = "7.x-2.5"
 core = "7.x"
 project = "ldap"
-datestamp = "1534201086"
+datestamp = "1555751588"
diff --git a/drupal7/sites/all/modules/ldap/ldap_test/ldap_test.module b/drupal7/sites/all/modules/ldap/ldap_test/ldap_test.module
index 4565ab11..1fee9aec 100644
--- a/drupal7/sites/all/modules/ldap/ldap_test/ldap_test.module
+++ b/drupal7/sites/all/modules/ldap/ldap_test/ldap_test.module
@@ -2,10 +2,11 @@
 
 /**
  * @file
- * Module for the LDAP module testing
- *
+ * Module for the LDAP module testing.
  */
 
-define('LDAP_TEST_USER_ORPHAN_CLONE_COUNT', 7);  // number of cloned drupal users (clone0, clone1, etc) to make for tests
-define('LDAP_TEST_USER_ORPHAN_CLONE_REMOVE_COUNT', 2); // number of cloned drupal users to delete in orphan check
+// Number of cloned drupal users (clone0, clone1, etc) to make for tests.
+define('LDAP_TEST_USER_ORPHAN_CLONE_COUNT', 7);
+// Number of cloned drupal users to delete in orphan check.
+define('LDAP_TEST_USER_ORPHAN_CLONE_REMOVE_COUNT', 2);
 define('LDAP_TEST_LDAP_NAME', 'hogwarts');
